SplFileInfo::openFile
SplFileInfo::setInfoClass
SplFileInfo
PHP Manual

# SplFileInfo::setFileClass

(PHP 5 >= 5.1.2)

SplFileInfo::setFileClass — Sets the class used with SplFileInfo::openFile()

### Description

public void SplFileInfo::setFileClass ([ string `$class_name` = "SplFileObject" ] )

Use this method to set a custom class which will be used when SplFileInfo::openFile() is called. The class name passed to this method must be SplFileObject or a class derived from SplFileObject.

### Parameters

`class_name`

  The class name to use when SplFileInfo::openFile() is called.

### Return Values

No value is returned.

### Examples

Example #1 SplFileInfo::setFileClass() example

`<?php
// Create a class extending SplFileObject
class MyFoo extends SplFileObject {}
$info = new SplFileInfo(__FILE__);
// Set the class to use
$info->setFileClass('MyFoo');
var_dump($info->openFile());
?>`

The above example will output something similar to:

    object(MyFoo)#2 (0) { }

### See Also

- SplFileInfo::openFile() - Gets an SplFileObject object for the file

SplFileInfo::openFile
SplFileInfo::setInfoClass
SplFileInfo
PHP Manual